<launch>

  <arg name="final_offset" default="0.1"/>
  <arg name="nb_scans_init" default="100"/>
  <arg name="hostname" default="172.16.0.12"/>
  <arg name="port" default="8800"/>
  <arg name="save_mask" default="false"/>
  
  <node pkg="keyence" type ="node" name="keyence" respawn="false" output="screen">
      <param name="hostname" value="$(arg hostname)"/>
      <param name="port" value="$(arg port)"/>
      <param name="laser_topic" value="scan"/>
  </node>
  
  <node pkg="laser_filters" type="scan_to_scan_filter_chain" name="laser_filter" ns="keyence">
    <rosparam command="load" file="$(find static_laser_tools)/config/filter_chain.yml" />
  </node>
    
  <node name="keyence_tools" pkg="static_laser_tools" type="closest_point" output="screen">
    <param name="final_offset" value="$(arg final_offset)"/>
    <param name="nb_scans_init" value="$(arg nb_scans_init)"/>
    <param name="scan_in_topic" value="/keyence/scan_filtered"/>
    <param name="save_mask" value="$(arg save_mask)"/>
  </node>
  
  <node name="closest_point" pkg="static_laser_tools" type="tf_publish" output="screen">
        <param name="root_link" value="panda_link0"/>
        <param name="tip_link" value="panda_link8"/>
  </node>
  
  <node name="robot_workspace" pkg="robot_workspace" type="robot_workspace" output="screen">
    <param name="robot_radius" value="0.7"/>
  </node>
</launch>
